> ## Documentation Index
> Fetch the complete documentation index at: https://docs.delegare.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Delegate

> Revoke an active Intent Mandate, instantly preventing further charges.

Revoking a delegate immediately invalidates its token. Any future charge attempts using this token will fail with a `403 Forbidden` response.

### Headers

<ParamField header="X-Delegare-Merchant-Id" type="string" required>
  Your merchant identifier.
</ParamField>

<ParamField header="X-Delegare-Api-Key" type="string" required>
  Your merchant API key.
</ParamField>

### Path Parameters

<ParamField path="intentMandate" type="string" required>
  The `intentMandate` to revoke.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Will be `true` if the delegate was successfully revoked.
</ResponseField>

<ResponseField name="status" type="string">
  The new status of the delegate, which will be `"revoked"`.
</ResponseField>

<RequestExample>
  ```bash Request theme={null}
  curl -X POST https://api.sandbox.delegare.dev/v1/mandates/dtok_abc123xyz789/revoke \
    -H "X-Delegare-Merchant-Id: your_merchant_id" \
    -H "X-Delegare-Api-Key: your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "status": "revoked"
  }
  ```
</ResponseExample>
